#### insert configury here
BUILDTOP=..
LIBS=${KRB_LIB} ${DES_LIB}
DEPLIBS=${KRB_LIBDEP} ${DES_LIBDEP}
SRCS=kprop.c kprop.h kpropd.c
CODE=${SRCS}

all:: kprop kpropd push-kprop start-kpropd run-kpropd

#program(kprop,kprop.o,${DEPLIBS},${LIBS},${SVRDIR})
kprop: kprop.o ${DEPLIBS}
	$(CC) $(CFLAGS) -o $@ kprop.o ${LIBS}

#program(kpropd,kpropd.o,${DEPLIBS},${LIBS},${SVRDIR})
kpropd: kpropd.o ${DEPLIBS}
	$(CC) $(CFLAGS) -o $@ kpropd.o ${LIBS}

push-kprop: push-kprop.sh
	cp ${srcdir}/push-kprop.sh push-kprop
	chmod +x push-kprop

start-kpropd: start-kpropd.sh
	cp ${srcdir}/start-kpropd.sh start-kpropd
	chmod +x start-kpropd

run-kpropd: run-kpropd.sh
	cp ${srcdir}/run-kpropd.sh run-kpropd
	chmod +x run-kpropd

install::
	$(INSTALLPROG) kprop ${DESTDIR}$(SVRDIR)/kprop
	$(INSTALLPROG) kpropd ${DESTDIR}$(SVRDIR)/kpropd
	$(INSTALLPROG) start-kpropd ${DESTDIR}$(SVRDIR)/start-kpropd
	$(INSTALLPROG) push-kprop ${DESTDIR}$(SVRDIR)/push-kprop
	$(INSTALLPROG) run-kpropd ${DESTDIR}$(SVRDIR)/run-kpropd

clean::
	$(RM) kprop kprop.o kpropd kpropd.o start-kpropd push-kprop run-kpropd
